React Native iOS Blank White Screen and EXC_BAD_ACCESS (code=EXC_I386_GPFLT)












0















I am using React Native 0.55.4. When I am testing the iOS build in debug on simulator or release on a device, it is working fine for a few minutes then suddenly, it will give blank white screen and stuck. I have to kill the app and restart it on the device or Cmd + R in the simulator to get it working.



Following is the screenshots I took.



enter image description here



It is the screenshot when I get the white screen. It doesn't complain anything in RN debugger tool too. I don't think it is a crash but I can be wrong.



After a few minutes, I get the following.



enter image description here



Has anyone faced this problem before? Any suggestions or tips are much appreciated. Thanks!










share|improve this question























  • can you show your The Script Build Phases in Xcode?

    – Dixit Akabari
    Nov 24 '18 at 7:17











  • I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

    – Aung Myint Thein
    Nov 24 '18 at 16:01













  • and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

    – Aung Myint Thein
    Nov 24 '18 at 16:07











  • I think this is export NODE_BINARY=node issue.node didn't get proper path.

    – Dixit Akabari
    Nov 26 '18 at 5:06











  • change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

    – Dixit Akabari
    Nov 26 '18 at 5:11
















0















I am using React Native 0.55.4. When I am testing the iOS build in debug on simulator or release on a device, it is working fine for a few minutes then suddenly, it will give blank white screen and stuck. I have to kill the app and restart it on the device or Cmd + R in the simulator to get it working.



Following is the screenshots I took.



enter image description here



It is the screenshot when I get the white screen. It doesn't complain anything in RN debugger tool too. I don't think it is a crash but I can be wrong.



After a few minutes, I get the following.



enter image description here



Has anyone faced this problem before? Any suggestions or tips are much appreciated. Thanks!










share|improve this question























  • can you show your The Script Build Phases in Xcode?

    – Dixit Akabari
    Nov 24 '18 at 7:17











  • I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

    – Aung Myint Thein
    Nov 24 '18 at 16:01













  • and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

    – Aung Myint Thein
    Nov 24 '18 at 16:07











  • I think this is export NODE_BINARY=node issue.node didn't get proper path.

    – Dixit Akabari
    Nov 26 '18 at 5:06











  • change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

    – Dixit Akabari
    Nov 26 '18 at 5:11














0












0








0








I am using React Native 0.55.4. When I am testing the iOS build in debug on simulator or release on a device, it is working fine for a few minutes then suddenly, it will give blank white screen and stuck. I have to kill the app and restart it on the device or Cmd + R in the simulator to get it working.



Following is the screenshots I took.



enter image description here



It is the screenshot when I get the white screen. It doesn't complain anything in RN debugger tool too. I don't think it is a crash but I can be wrong.



After a few minutes, I get the following.



enter image description here



Has anyone faced this problem before? Any suggestions or tips are much appreciated. Thanks!










share|improve this question














I am using React Native 0.55.4. When I am testing the iOS build in debug on simulator or release on a device, it is working fine for a few minutes then suddenly, it will give blank white screen and stuck. I have to kill the app and restart it on the device or Cmd + R in the simulator to get it working.



Following is the screenshots I took.



enter image description here



It is the screenshot when I get the white screen. It doesn't complain anything in RN debugger tool too. I don't think it is a crash but I can be wrong.



After a few minutes, I get the following.



enter image description here



Has anyone faced this problem before? Any suggestions or tips are much appreciated. Thanks!







ios react-native crash






share|improve this question













share|improve this question











share|improve this question




share|improve this question










asked Nov 24 '18 at 7:00









Aung Myint TheinAung Myint Thein

606




606













  • can you show your The Script Build Phases in Xcode?

    – Dixit Akabari
    Nov 24 '18 at 7:17











  • I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

    – Aung Myint Thein
    Nov 24 '18 at 16:01













  • and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

    – Aung Myint Thein
    Nov 24 '18 at 16:07











  • I think this is export NODE_BINARY=node issue.node didn't get proper path.

    – Dixit Akabari
    Nov 26 '18 at 5:06











  • change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

    – Dixit Akabari
    Nov 26 '18 at 5:11



















  • can you show your The Script Build Phases in Xcode?

    – Dixit Akabari
    Nov 24 '18 at 7:17











  • I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

    – Aung Myint Thein
    Nov 24 '18 at 16:01













  • and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

    – Aung Myint Thein
    Nov 24 '18 at 16:07











  • I think this is export NODE_BINARY=node issue.node didn't get proper path.

    – Dixit Akabari
    Nov 26 '18 at 5:06











  • change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

    – Dixit Akabari
    Nov 26 '18 at 5:11

















can you show your The Script Build Phases in Xcode?

– Dixit Akabari
Nov 24 '18 at 7:17





can you show your The Script Build Phases in Xcode?

– Dixit Akabari
Nov 24 '18 at 7:17













I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

– Aung Myint Thein
Nov 24 '18 at 16:01







I don't see "run script" in build phases in xcode but I have some scripts for sentry as following: export SENTRY_PROPERTIES=sentry.properties ../node_modules/@sentry/cli/bin/sentry-cli upload-dsym and export SENTRY_PROPERTIES=sentry.properties export NODE_BINARY=node ../node_modules/@sentry/cli/bin/sentry-cli react-native xcode ../node_modules/react-native/scripts/react-native-xcode.sh

– Aung Myint Thein
Nov 24 '18 at 16:01















and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

– Aung Myint Thein
Nov 24 '18 at 16:07





and Pod Manifest locks diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then # print error to STDERR echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2 exit 1 fi # This output is used by Xcode 'outputs' to avoid re-running this script phase. echo "SUCCESS" > "${SCRIPT_OUTPUT_FILE_0}" Are they what you need..? If not, please let me know how to get what you need :D Thanks.

– Aung Myint Thein
Nov 24 '18 at 16:07













I think this is export NODE_BINARY=node issue.node didn't get proper path.

– Dixit Akabari
Nov 26 '18 at 5:06





I think this is export NODE_BINARY=node issue.node didn't get proper path.

– Dixit Akabari
Nov 26 '18 at 5:06













change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

– Dixit Akabari
Nov 26 '18 at 5:11





change script some thing like this export NODE_BINARY=yourpath(/Users/myname/.nvm/versions/node/v8.10.0/bin/node) ../node_modules/react-native/scripts/react-native-xcode.sh

– Dixit Akabari
Nov 26 '18 at 5:11












0






active

oldest

votes











Your Answer






StackExchange.ifUsing("editor", function () {
StackExchange.using("externalEditor", function () {
StackExchange.using("snippets", function () {
StackExchange.snippets.init();
});
});
}, "code-snippets");

StackExchange.ready(function() {
var channelOptions = {
tags: "".split(" "),
id: "1"
};
initTagRenderer("".split(" "), "".split(" "), channelOptions);

StackExchange.using("externalEditor", function() {
// Have to fire editor after snippets, if snippets enabled
if (StackExchange.settings.snippets.snippetsEnabled) {
StackExchange.using("snippets", function() {
createEditor();
});
}
else {
createEditor();
}
});

function createEditor() {
StackExchange.prepareEditor({
heartbeatType: 'answer',
autoActivateHeartbeat: false,
convertImagesToLinks: true,
noModals: true,
showLowRepImageUploadWarning: true,
reputationToPostImages: 10,
bindNavPrevention: true,
postfix: "",
imageUploader: {
brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
allowUrls: true
},
onDemand: true,
discardSelector: ".discard-answer"
,immediatelyShowMarkdownHelp:true
});


}
});














draft saved

draft discarded


















StackExchange.ready(
function () {
StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53455941%2freact-native-ios-blank-white-screen-and-exc-bad-access-code-exc-i386-gpflt%23new-answer', 'question_page');
}
);

Post as a guest















Required, but never shown

























0






active

oldest

votes








0






active

oldest

votes









active

oldest

votes






active

oldest

votes
















draft saved

draft discarded




















































Thanks for contributing an answer to Stack Overflow!


  • Please be sure to answer the question. Provide details and share your research!

But avoid



  • Asking for help, clarification, or responding to other answers.

  • Making statements based on opinion; back them up with references or personal experience.


To learn more, see our tips on writing great answers.




draft saved


draft discarded














StackExchange.ready(
function () {
StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fstackoverflow.com%2fquestions%2f53455941%2freact-native-ios-blank-white-screen-and-exc-bad-access-code-exc-i386-gpflt%23new-answer', 'question_page');
}
);

Post as a guest















Required, but never shown





















































Required, but never shown














Required, but never shown












Required, but never shown







Required, but never shown

































Required, but never shown














Required, but never shown












Required, but never shown







Required, but never shown







Popular posts from this blog

Create new schema in PostgreSQL using DBeaver

Deepest pit of an array with Javascript: test on Codility

Costa Masnaga